diff --git a/dirsrvtests/tests/suites/basic/basic_test.py b/dirsrvtests/tests/suites/basic/basic_test.py
index 209bab9..2bf4729 100644
--- a/dirsrvtests/tests/suites/basic/basic_test.py
+++ b/dirsrvtests/tests/suites/basic/basic_test.py
@@ -1,5 +1,5 @@
 # --- BEGIN COPYRIGHT BLOCK ---
-# Copyright (C) 2015 Red Hat, Inc.
+# Copyright (C) 2016 Red Hat, Inc.
 # All rights reserved.
 #
 # License: GPL (version 3 or any later version).
@@ -37,72 +37,32 @@ ROOTDSE_DEF_ATTR_LIST = ('namingContexts',
                          'vendorName',
                          'vendorVersion')
 
-class TopologyStandalone(object):
-    def __init__(self, standalone):
-        standalone.open()
-        self.standalone = standalone
-
 
 @pytest.fixture(scope="module")
-def topology(request):
-    """This fixture is used to standalone topology for the 'module'."""
-
-    standalone = DirSrv(verbose=False)
-
-    # Args for the standalone instance
-    args_instance[SER_HOST] = HOST_STANDALONE
-    args_instance[SER_PORT] = PORT_STANDALONE
-    args_instance[SER_SERVERID_PROP] = SERVERID_STANDALONE
-    args_standalone = args_instance.copy()
-    standalone.allocate(args_standalone)
-
-    # Get the status of the instance and restart it if it exists
-    instance_standalone = standalone.exists()
-
-    # Remove the instance
-    if instance_standalone:
-        standalone.delete()
-
-    # Create the instance
-    standalone.create()
-
-    # Used to retrieve configuration information (dbdir, confdir...)
-    standalone.open()
-
-    # Delete each instance in the end
-    def fin():
-        standalone.delete()
-    request.addfinalizer(fin)
-
-    # Here we have standalone instance up and running
-    return TopologyStandalone(standalone)
-
-
-@pytest.fixture(scope="module")
-def import_example_ldif(topology):
+def import_example_ldif(topology_st):
     """Import the Example LDIF for the tests in this suite"""
 
     log.info('Initializing the "basic" test suite')
 
-    ldif = '%s/Example.ldif' % get_data_dir(topology.standalone.prefix)
-    import_ldif = topology.standalone.get_ldif_dir() + "/Example.ldif"
+    ldif = '%s/Example.ldif' % get_data_dir(topology_st.standalone.prefix)
+    import_ldif = topology_st.standalone.get_ldif_dir() + "/Example.ldif"
     shutil.copyfile(ldif, import_ldif)
     try:
-        topology.standalone.tasks.importLDIF(suffix=DEFAULT_SUFFIX,
-                                             input_file=import_ldif,
-                                             args={TASK_WAIT: True})
+        topology_st.standalone.tasks.importLDIF(suffix=DEFAULT_SUFFIX,
+                                                input_file=import_ldif,
+                                                args={TASK_WAIT: True})
     except ValueError:
         log.error('Online import failed')
         assert False
 
 
 @pytest.fixture(params=ROOTDSE_DEF_ATTR_LIST)
-def rootdse_attr(topology, request):
+def rootdse_attr(topology_st, request):
     """Adds an attr from the list
     as the default attr to the rootDSE
     """
     # Ensure the server is started and connected
-    topology.standalone.start()
+    topology_st.standalone.start()
 
     RETURN_DEFAULT_OPATTR = "nsslapd-return-default-opattr"
     rootdse_attr_name = request.param
@@ -111,7 +71,7 @@ def rootdse_attr(topology, request):
                                                     rootdse_attr_name))
     mod = [(ldap.MOD_ADD, RETURN_DEFAULT_OPATTR, rootdse_attr_name)]
     try:
-        topology.standalone.modify_s("", mod)
+        topology_st.standalone.modify_s("", mod)
     except ldap.LDAPError as e:
         log.fatal('Failed to add attr: error (%s)' % (e.message['desc']))
         assert False
@@ -121,16 +81,17 @@ def rootdse_attr(topology, request):
                                                              rootdse_attr_name))
         mod = [(ldap.MOD_DELETE, RETURN_DEFAULT_OPATTR, rootdse_attr_name)]
         try:
-            topology.standalone.modify_s("", mod)
+            topology_st.standalone.modify_s("", mod)
         except ldap.LDAPError as e:
             log.fatal('Failed to delete attr: error (%s)' % (e.message['desc']))
             assert False
+
     request.addfinalizer(fin)
 
     return rootdse_attr_name
 
 
-def test_basic_ops(topology, import_example_ldif):
+def test_basic_ops(topology_st, import_example_ldif):
     """Test doing adds, mods, modrdns, and deletes"""
 
     log.info('Running test_basic_ops...')
@@ -147,34 +108,34 @@ def test_basic_ops(topology, import_example_ldif):
     # Adds
     #
     try:
-        topology.standalone.add_s(Entry((USER1_DN,
-                                         {'objectclass': "top extensibleObject".split(),
-                                          'sn': '1',
-                                          'cn': 'user1',
-                                          'uid': 'user1',
-                                          'userpassword': 'password'})))
+        topology_st.standalone.add_s(Entry((USER1_DN,
+                                            {'objectclass': "top extensibleObject".split(),
+                                             'sn': '1',
+                                             'cn': 'user1',
+                                             'uid': 'user1',
+                                             'userpassword': 'password'})))
     except ldap.LDAPError as e:
         log.error('Failed to add test user' + USER1_DN + ': error ' + e.message['desc'])
         assert False
 
     try:
-        topology.standalone.add_s(Entry((USER2_DN,
-                                         {'objectclass': "top extensibleObject".split(),
-                                          'sn': '2',
-                                          'cn': 'user2',
-                                          'uid': 'user2',
-                                          'userpassword': 'password'})))
+        topology_st.standalone.add_s(Entry((USER2_DN,
+                                            {'objectclass': "top extensibleObject".split(),
+                                             'sn': '2',
+                                             'cn': 'user2',
+                                             'uid': 'user2',
+                                             'userpassword': 'password'})))
     except ldap.LDAPError as e:
         log.error('Failed to add test user' + USER2_DN + ': error ' + e.message['desc'])
         assert False
 
     try:
-        topology.standalone.add_s(Entry((USER3_DN,
-                                         {'objectclass': "top extensibleObject".split(),
-                                          'sn': '3',
-                                          'cn': 'user3',
-                                          'uid': 'user3',
-                                          'userpassword': 'password'})))
+        topology_st.standalone.add_s(Entry((USER3_DN,
+                                            {'objectclass': "top extensibleObject".split(),
+                                             'sn': '3',
+                                             'cn': 'user3',
+                                             'uid': 'user3',
+                                             'userpassword': 'password'})))
     except ldap.LDAPError as e:
         log.error('Failed to add test user' + USER3_DN + ': error ' + e.message['desc'])
         assert False
@@ -183,22 +144,22 @@ def test_basic_ops(topology, import_example_ldif):
     # Mods
     #
     try:
-        topology.standalone.modify_s(USER1_DN, [(ldap.MOD_ADD, 'description',
-                                                 'New description')])
+        topology_st.standalone.modify_s(USER1_DN, [(ldap.MOD_ADD, 'description',
+                                                    'New description')])
     except ldap.LDAPError as e:
         log.error('Failed to add description: error ' + e.message['desc'])
         assert False
 
     try:
-        topology.standalone.modify_s(USER1_DN, [(ldap.MOD_REPLACE, 'description',
-                                                 'Modified description')])
+        topology_st.standalone.modify_s(USER1_DN, [(ldap.MOD_REPLACE, 'description',
+                                                    'Modified description')])
     except ldap.LDAPError as e:
         log.error('Failed to modify description: error ' + e.message['desc'])
         assert False
 
     try:
-        topology.standalone.modify_s(USER1_DN, [(ldap.MOD_DELETE, 'description',
-                                                 None)])
+        topology_st.standalone.modify_s(USER1_DN, [(ldap.MOD_DELETE, 'description',
+                                                    None)])
     except ldap.LDAPError as e:
         log.error('Failed to delete description: error ' + e.message['desc'])
         assert False
@@ -207,21 +168,21 @@ def test_basic_ops(topology, import_example_ldif):
     # Modrdns
     #
     try:
-        topology.standalone.rename_s(USER1_DN, USER1_NEWDN, delold=1)
+        topology_st.standalone.rename_s(USER1_DN, USER1_NEWDN, delold=1)
     except ldap.LDAPError as e:
         log.error('Failed to modrdn user1: error ' + e.message['desc'])
         assert False
 
     try:
-        topology.standalone.rename_s(USER2_DN, USER2_NEWDN, delold=0)
+        topology_st.standalone.rename_s(USER2_DN, USER2_NEWDN, delold=0)
     except ldap.LDAPError as e:
         log.error('Failed to modrdn user2: error ' + e.message['desc'])
         assert False
 
     # Modrdn - New superior
     try:
-        topology.standalone.rename_s(USER3_DN, USER3_NEWDN,
-                                     newsuperior=NEW_SUPERIOR, delold=1)
+        topology_st.standalone.rename_s(USER3_DN, USER3_NEWDN,
+                                        newsuperior=NEW_SUPERIOR, delold=1)
     except ldap.LDAPError as e:
         log.error('Failed to modrdn(new superior) user3: error ' + e.message['desc'])
         assert False
@@ -230,19 +191,19 @@ def test_basic_ops(topology, import_example_ldif):
     # Deletes
     #
     try:
-        topology.standalone.delete_s(USER1_RDN_DN)
+        topology_st.standalone.delete_s(USER1_RDN_DN)
     except ldap.LDAPError as e:
         log.error('Failed to delete test entry1: ' + e.message['desc'])
         assert False
 
     try:
-        topology.standalone.delete_s(USER2_RDN_DN)
+        topology_st.standalone.delete_s(USER2_RDN_DN)
     except ldap.LDAPError as e:
         log.error('Failed to delete test entry2: ' + e.message['desc'])
         assert False
 
     try:
-        topology.standalone.delete_s(USER3_RDN_DN)
+        topology_st.standalone.delete_s(USER3_RDN_DN)
     except ldap.LDAPError as e:
         log.error('Failed to delete test entry3: ' + e.message['desc'])
         assert False
@@ -250,7 +211,7 @@ def test_basic_ops(topology, import_example_ldif):
     log.info('test_basic_ops: PASSED')
 
 
-def test_basic_import_export(topology, import_example_ldif):
+def test_basic_import_export(topology_st, import_example_ldif):
     """Test online and offline LDIF imports & exports"""
 
     log.info('Running test_basic_import_export...')
@@ -262,10 +223,10 @@ def test_basic_import_export(topology, import_example_ldif):
     #
 
     # Generate a test ldif (50k entries)
-    ldif_dir = topology.standalone.get_ldif_dir()
+    ldif_dir = topology_st.standalone.get_ldif_dir()
     import_ldif = ldif_dir + '/basic_import.ldif'
     try:
-        topology.standalone.buildLDIF(50000, import_ldif)
+        topology_st.standalone.buildLDIF(50000, import_ldif)
     except OSError as e:
         log.fatal('test_basic_import_export: failed to create test ldif,\
                   error: %s - %s' % (e.errno, e.strerror))
@@ -273,15 +234,15 @@ def test_basic_import_export(topology, import_example_ldif):
 
     # Online
     try:
-        topology.standalone.tasks.importLDIF(suffix=DEFAULT_SUFFIX,
-                                             input_file=import_ldif,
-                                             args={TASK_WAIT: True})
+        topology_st.standalone.tasks.importLDIF(suffix=DEFAULT_SUFFIX,
+                                                input_file=import_ldif,
+                                                args={TASK_WAIT: True})
     except ValueError:
         log.fatal('test_basic_import_export: Online import failed')
         assert False
 
     # Offline
-    if not topology.standalone.ldif2db(DEFAULT_BENAME, None, None, None, import_ldif):
+    if not topology_st.standalone.ldif2db(DEFAULT_BENAME, None, None, None, import_ldif):
         log.fatal('test_basic_import_export: Offline import failed')
         assert False
 
@@ -291,7 +252,7 @@ def test_basic_import_export(topology, import_example_ldif):
 
     # Online export
     export_ldif = ldif_dir + '/export.ldif'
-    exportTask = Tasks(topology.standalone)
+    exportTask = Tasks(topology_st.standalone)
     try:
         args = {TASK_WAIT: True}
         exportTask.exportLDIF(DEFAULT_SUFFIX, None, export_ldif, args)
@@ -300,21 +261,21 @@ def test_basic_import_export(topology, import_example_ldif):
         assert False
 
     # Offline export
-    if not topology.standalone.db2ldif(DEFAULT_BENAME, (DEFAULT_SUFFIX,),
-                                       None, None, None, export_ldif):
+    if not topology_st.standalone.db2ldif(DEFAULT_BENAME, (DEFAULT_SUFFIX,),
+                                          None, None, None, export_ldif):
         log.fatal('test_basic_import_export: Failed to run offline db2ldif')
         assert False
 
     #
     # Cleanup - Import the Example LDIF for the other tests in this suite
     #
-    ldif = '%s/Example.ldif' % get_data_dir(topology.standalone.prefix)
-    import_ldif = topology.standalone.get_ldif_dir() + "/Example.ldif"
+    ldif = '%s/Example.ldif' % get_data_dir(topology_st.standalone.prefix)
+    import_ldif = topology_st.standalone.get_ldif_dir() + "/Example.ldif"
     shutil.copyfile(ldif, import_ldif)
     try:
-        topology.standalone.tasks.importLDIF(suffix=DEFAULT_SUFFIX,
-                                             input_file=import_ldif,
-                                             args={TASK_WAIT: True})
+        topology_st.standalone.tasks.importLDIF(suffix=DEFAULT_SUFFIX,
+                                                input_file=import_ldif,
+                                                args={TASK_WAIT: True})
     except ValueError:
         log.fatal('test_basic_import_export: Online import failed')
         assert False
@@ -322,43 +283,43 @@ def test_basic_import_export(topology, import_example_ldif):
     log.info('test_basic_import_export: PASSED')
 
 
-def test_basic_backup(topology, import_example_ldif):
+def test_basic_backup(topology_st, import_example_ldif):
     """Test online and offline back and restore"""
 
     log.info('Running test_basic_backup...')
 
-    backup_dir = topology.standalone.get_bak_dir() + '/backup_test'
+    backup_dir = topology_st.standalone.get_bak_dir() + '/backup_test'
 
     # Test online backup
     try:
-        topology.standalone.tasks.db2bak(backup_dir=backup_dir,
-                                         args={TASK_WAIT: True})
+        topology_st.standalone.tasks.db2bak(backup_dir=backup_dir,
+                                            args={TASK_WAIT: True})
     except ValueError:
         log.fatal('test_basic_backup: Online backup failed')
         assert False
 
     # Test online restore
     try:
-        topology.standalone.tasks.bak2db(backup_dir=backup_dir,
-                                         args={TASK_WAIT: True})
+        topology_st.standalone.tasks.bak2db(backup_dir=backup_dir,
+                                            args={TASK_WAIT: True})
     except ValueError:
         log.fatal('test_basic_backup: Online restore failed')
         assert False
 
     # Test offline backup
-    if not topology.standalone.db2bak(backup_dir):
+    if not topology_st.standalone.db2bak(backup_dir):
         log.fatal('test_basic_backup: Offline backup failed')
         assert False
 
     # Test offline restore
-    if not topology.standalone.bak2db(backup_dir):
+    if not topology_st.standalone.bak2db(backup_dir):
         log.fatal('test_basic_backup: Offline backup failed')
         assert False
 
     log.info('test_basic_backup: PASSED')
 
 
-def test_basic_acl(topology, import_example_ldif):
+def test_basic_acl(topology_st, import_example_ldif):
     """Run some basic access control(ACL) tests"""
 
     log.info('Running test_basic_acl...')
@@ -370,24 +331,24 @@ def test_basic_acl(topology, import_example_ldif):
     # Add two users
     #
     try:
-        topology.standalone.add_s(Entry((USER1_DN,
-                                         {'objectclass': "top extensibleObject".split(),
-                                          'sn': '1',
-                                          'cn': 'user 1',
-                                          'uid': 'user1',
-                                          'userpassword': PASSWORD})))
+        topology_st.standalone.add_s(Entry((USER1_DN,
+                                            {'objectclass': "top extensibleObject".split(),
+                                             'sn': '1',
+                                             'cn': 'user 1',
+                                             'uid': 'user1',
+                                             'userpassword': PASSWORD})))
     except ldap.LDAPError as e:
         log.fatal('test_basic_acl: Failed to add test user ' + USER1_DN
                   + ': error ' + e.message['desc'])
         assert False
 
     try:
-        topology.standalone.add_s(Entry((USER2_DN,
-                                         {'objectclass': "top extensibleObject".split(),
-                                          'sn': '2',
-                                          'cn': 'user 2',
-                                          'uid': 'user2',
-                                          'userpassword': PASSWORD})))
+        topology_st.standalone.add_s(Entry((USER2_DN,
+                                            {'objectclass': "top extensibleObject".split(),
+                                             'sn': '2',
+                                             'cn': 'user 2',
+                                             'uid': 'user2',
+                                             'userpassword': PASSWORD})))
     except ldap.LDAPError as e:
         log.fatal('test_basic_acl: Failed to add test user ' + USER1_DN
                   + ': error ' + e.message['desc'])
@@ -398,7 +359,7 @@ def test_basic_acl(topology, import_example_ldif):
     # and also set the default anonymous access
     #
     try:
-        topology.standalone.modify_s(DEFAULT_SUFFIX, [(ldap.MOD_ADD, 'aci', DENY_ACI)])
+        topology_st.standalone.modify_s(DEFAULT_SUFFIX, [(ldap.MOD_ADD, 'aci', DENY_ACI)])
     except ldap.LDAPError as e:
         log.fatal('test_basic_acl: Failed to add DENY ACI: error ' + e.message['desc'])
         assert False
@@ -407,15 +368,15 @@ def test_basic_acl(topology, import_example_ldif):
     # Make sure USER1_DN can not search anything, but USER2_dn can...
     #
     try:
-        topology.standalone.simple_bind_s(USER1_DN, PASSWORD)
+        topology_st.standalone.simple_bind_s(USER1_DN, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_basic_acl: Failed to bind as user1, error: ' + e.message['desc'])
         assert False
 
     try:
-        entries = topology.standalone.search_s(DEFAULT_SUFFIX,
-                                               ldap.SCOPE_SUBTREE,
-                                               '(uid=*)')
+        entries = topology_st.standalone.search_s(DEFAULT_SUFFIX,
+                                                  ldap.SCOPE_SUBTREE,
+                                                  '(uid=*)')
         if entries:
             log.fatal('test_basic_acl: User1 was incorrectly able to search the suffix!')
             assert False
@@ -425,15 +386,15 @@ def test_basic_acl(topology, import_example_ldif):
 
     # Now try user2...  Also check that userpassword is stripped out
     try:
-        topology.standalone.simple_bind_s(USER2_DN, PASSWORD)
+        topology_st.standalone.simple_bind_s(USER2_DN, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_basic_acl: Failed to bind as user2, error: ' + e.message['desc'])
         assert False
 
     try:
-        entries = topology.standalone.search_s(DEFAULT_SUFFIX,
-                                               ldap.SCOPE_SUBTREE,
-                                               '(uid=user1)')
+        entries = topology_st.standalone.search_s(DEFAULT_SUFFIX,
+                                                  ldap.SCOPE_SUBTREE,
+                                                  '(uid=user1)')
         if not entries:
             log.fatal('test_basic_acl: User1 incorrectly not able to search the suffix')
             assert False
@@ -448,15 +409,15 @@ def test_basic_acl(topology, import_example_ldif):
     # Make sure Root DN can also search (this also resets the bind dn to the
     # Root DN for future operations)
     try:
-        topology.standalone.simple_bind_s(DN_DM, PW_DM)
+        topology_st.standalone.simple_bind_s(DN_DM, PW_DM)
     except ldap.LDAPError as e:
         log.fatal('test_basic_acl: Failed to bind as ROotDN, error: ' + e.message['desc'])
         assert False
 
     try:
-        entries = topology.standalone.search_s(DEFAULT_SUFFIX,
-                                               ldap.SCOPE_SUBTREE,
-                                               '(uid=*)')
+        entries = topology_st.standalone.search_s(DEFAULT_SUFFIX,
+                                                  ldap.SCOPE_SUBTREE,
+                                                  '(uid=*)')
         if not entries:
             log.fatal('test_basic_acl: Root DN incorrectly not able to search the suffix')
             assert False
@@ -468,19 +429,19 @@ def test_basic_acl(topology, import_example_ldif):
     # Cleanup
     #
     try:
-        topology.standalone.modify_s(DEFAULT_SUFFIX, [(ldap.MOD_DELETE, 'aci', DENY_ACI)])
+        topology_st.standalone.modify_s(DEFAULT_SUFFIX, [(ldap.MOD_DELETE, 'aci', DENY_ACI)])
     except ldap.LDAPError as e:
         log.fatal('test_basic_acl: Failed to delete DENY ACI: error ' + e.message['desc'])
         assert False
 
     try:
-        topology.standalone.delete_s(USER1_DN)
+        topology_st.standalone.delete_s(USER1_DN)
     except ldap.LDAPError as e:
         log.fatal('test_basic_acl: Failed to delete test entry1: ' + e.message['desc'])
         assert False
 
     try:
-        topology.standalone.delete_s(USER2_DN)
+        topology_st.standalone.delete_s(USER2_DN)
     except ldap.LDAPError as e:
         log.fatal('test_basic_acl: Failed to delete test entry2: ' + e.message['desc'])
         assert False
@@ -488,7 +449,7 @@ def test_basic_acl(topology, import_example_ldif):
     log.info('test_basic_acl: PASSED')
 
 
-def test_basic_searches(topology, import_example_ldif):
+def test_basic_searches(topology_st, import_example_ldif):
     """The search results are gathered from testing with Example.ldif"""
 
     log.info('Running test_basic_searches...')
@@ -512,9 +473,9 @@ def test_basic_searches(topology, import_example_ldif):
 
     for (search_filter, search_result) in filters:
         try:
-            entries = topology.standalone.search_s(DEFAULT_SUFFIX,
-                                                   ldap.SCOPE_SUBTREE,
-                                                   search_filter)
+            entries = topology_st.standalone.search_s(DEFAULT_SUFFIX,
+                                                      ldap.SCOPE_SUBTREE,
+                                                      search_filter)
             if len(entries) != search_result:
                 log.fatal('test_basic_searches: An incorrect number of entries\
                           was returned from filter (%s): (%d) expected (%d)' %
@@ -527,7 +488,7 @@ def test_basic_searches(topology, import_example_ldif):
     log.info('test_basic_searches: PASSED')
 
 
-def test_basic_referrals(topology, import_example_ldif):
+def test_basic_referrals(topology_st, import_example_ldif):
     """Set the server to referral mode,
     and make sure we recive the referal error(10)
     """
@@ -540,17 +501,17 @@ def test_basic_referrals(topology, import_example_ldif):
     # Set the referral, adn the backend state
     #
     try:
-        topology.standalone.modify_s(SUFFIX_CONFIG,
-                                     [(ldap.MOD_REPLACE,
-                                       'nsslapd-referral',
-                                       'ldap://localhost.localdomain:389/o%3dnetscaperoot')])
+        topology_st.standalone.modify_s(SUFFIX_CONFIG,
+                                        [(ldap.MOD_REPLACE,
+                                          'nsslapd-referral',
+                                          'ldap://localhost.localdomain:389/o%3dnetscaperoot')])
     except ldap.LDAPError as e:
         log.fatal('test_basic_referrals: Failed to set referral: error ' + e.message['desc'])
         assert False
 
     try:
-        topology.standalone.modify_s(SUFFIX_CONFIG, [(ldap.MOD_REPLACE,
-                                                      'nsslapd-state', 'Referral')])
+        topology_st.standalone.modify_s(SUFFIX_CONFIG, [(ldap.MOD_REPLACE,
+                                                         'nsslapd-state', 'Referral')])
     except ldap.LDAPError as e:
         log.fatal('test_basic_referrals: Failed to set backend state: error '
                   + e.message['desc'])
@@ -559,9 +520,9 @@ def test_basic_referrals(topology, import_example_ldif):
     #
     # Test that a referral error is returned
     #
-    topology.standalone.set_option(ldap.OPT_REFERRALS, 0)  # Do not follow referral
+    topology_st.standalone.set_option(ldap.OPT_REFERRALS, 0)  # Do not follow referral
     try:
-        topology.standalone.search_s(DEFAULT_SUFFIX, ldap.SCOPE_SUBTREE, 'objectclass=top')
+        topology_st.standalone.search_s(DEFAULT_SUFFIX, ldap.SCOPE_SUBTREE, 'objectclass=top')
     except ldap.REFERRAL:
         pass
     except ldap.LDAPError as e:
@@ -571,52 +532,52 @@ def test_basic_referrals(topology, import_example_ldif):
     #
     # Make sure server can restart in referral mode
     #
-    topology.standalone.restart(timeout=10)
+    topology_st.standalone.restart(timeout=10)
 
     #
     # Cleanup
     #
     try:
-        topology.standalone.modify_s(SUFFIX_CONFIG, [(ldap.MOD_REPLACE,
-                                                      'nsslapd-state', 'Backend')])
+        topology_st.standalone.modify_s(SUFFIX_CONFIG, [(ldap.MOD_REPLACE,
+                                                         'nsslapd-state', 'Backend')])
     except ldap.LDAPError as e:
         log.fatal('test_basic_referrals: Failed to set backend state: error '
                   + e.message['desc'])
         assert False
 
     try:
-        topology.standalone.modify_s(SUFFIX_CONFIG, [(ldap.MOD_DELETE,
-                                                      'nsslapd-referral', None)])
+        topology_st.standalone.modify_s(SUFFIX_CONFIG, [(ldap.MOD_DELETE,
+                                                         'nsslapd-referral', None)])
     except ldap.LDAPError as e:
         log.fatal('test_basic_referrals: Failed to delete referral: error '
                   + e.message['desc'])
         assert False
-    topology.standalone.set_option(ldap.OPT_REFERRALS, 1)
+    topology_st.standalone.set_option(ldap.OPT_REFERRALS, 1)
 
     log.info('test_basic_referrals: PASSED')
 
 
-def test_basic_systemctl(topology, import_example_ldif):
+def test_basic_systemctl(topology_st, import_example_ldif):
     """Test systemctl/lib389 can stop and start the server.  Also test that start reports an
     error when the instance does not start.  Only for RPM builds
     """
 
     log.info('Running test_basic_systemctl...')
 
-    config_dir = topology.standalone.get_config_dir()
+    config_dir = topology_st.standalone.get_config_dir()
 
     #
     # Stop the server
     #
     log.info('Stopping the server...')
-    topology.standalone.stop()
+    topology_st.standalone.stop()
     log.info('Stopped the server.')
 
     #
     # Start the server
     #
     log.info('Starting the server...')
-    topology.standalone.start()
+    topology_st.standalone.start()
     log.info('Started the server.')
 
     #
@@ -624,21 +585,21 @@ def test_basic_systemctl(topology, import_example_ldif):
     # and verify that systemctl detects the failed start
     #
     log.info('Stopping the server...')
-    topology.standalone.stop()
+    topology_st.standalone.stop()
     log.info('Stopped the server before breaking the dse.ldif.')
 
-    shutil.copy(config_dir + '/dse.ldif', config_dir + '/dse.ldif.correct' )
+    shutil.copy(config_dir + '/dse.ldif', config_dir + '/dse.ldif.correct')
     open(config_dir + '/dse.ldif', 'w').close()
     # We need to kill the .bak file too, DS is just too smart!
     open(config_dir + '/dse.ldif.bak', 'w').close()
 
     log.info('Attempting to start the server with broken dse.ldif...')
     try:
-        topology.standalone.start()
+        topology_st.standalone.start()
     except:
         log.info('Server failed to start as expected')
     log.info('Check the status...')
-    assert(not topology.standalone.status())
+    assert (not topology_st.standalone.status())
     log.info('Server failed to start as expected')
     time.sleep(5)
 
@@ -646,29 +607,29 @@ def test_basic_systemctl(topology, import_example_ldif):
     # Fix the dse.ldif, and make sure the server starts up,
     # and systemctl correctly identifies the successful start
     #
-    shutil.copy(config_dir + '/dse.ldif.correct', config_dir + '/dse.ldif' )
+    shutil.copy(config_dir + '/dse.ldif.correct', config_dir + '/dse.ldif')
     log.info('Starting the server with good dse.ldif...')
-    topology.standalone.start()
+    topology_st.standalone.start()
     log.info('Check the status...')
-    assert(topology.standalone.status())
+    assert (topology_st.standalone.status())
     log.info('Server started after fixing dse.ldif.')
 
     log.info('test_basic_systemctl: PASSED')
 
 
-def test_basic_ldapagent(topology, import_example_ldif):
+def test_basic_ldapagent(topology_st, import_example_ldif):
     """Test that the ldap agent starts"""
 
     log.info('Running test_basic_ldapagent...')
 
-    var_dir = topology.standalone.get_local_state_dir()
-    config_file = os.path.join(topology.standalone.get_sysconf_dir(), 'dirsrv/config/agent.conf')
-    cmd = 'sudo %s %s' % (os.path.join(topology.standalone.get_sbin_dir(), 'ldap-agent'), config_file)
+    var_dir = topology_st.standalone.get_local_state_dir()
+    config_file = os.path.join(topology_st.standalone.get_sysconf_dir(), 'dirsrv/config/agent.conf')
+    cmd = 'sudo %s %s' % (os.path.join(topology_st.standalone.get_sbin_dir(), 'ldap-agent'), config_file)
 
     agent_config_file = open(config_file, 'w')
     agent_config_file.write('agentx-master ' + var_dir + '/agentx/master\n')
     agent_config_file.write('agent-logdir ' + var_dir + '/log/dirsrv\n')
-    agent_config_file.write('server slapd-' + topology.standalone.serverid + '\n')
+    agent_config_file.write('server slapd-' + topology_st.standalone.serverid + '\n')
     agent_config_file.close()
 
     rc = os.system(cmd)
